## IdeProjectFile IdeProjectFile |

## Functions

GFile * | ide_project_file_get_file ()
GFileInfo * | ide_project_file_get_file_info ()
const gchar * | ide_project_file_get_name ()
const gchar * | ide_project_file_get_path ()
gboolean | ide_project_file_get_is_directory ()

## Types and Values

#define | IDE_TYPE_PROJECT_FILE
struct | IdeProjectFileClass
| IdeProjectFile

## Description

## Functions

### ide_project_file_get_file ()

    GFile *
    ide_project_file_get_file (IdeProjectFile *self);

Retrieves the underlying GFile represented by `file` .

#### Returns

Retrieves the GFile represented by `file` .

[transfer none]

### ide_project_file_get_file_info ()

    GFileInfo *
    ide_project_file_get_file_info (IdeProjectFile *self);

Retrieves a GFileInfo containing the basic information about `file` . This includes the name, display name, and file type.

#### Returns

A GFileInfo.

[transfer none]

### ide_project_file_get_name ()

    const gchar *
    ide_project_file_get_name (IdeProjectFile *self);

### ide_project_file_get_path ()

    const gchar *
    ide_project_file_get_path (IdeProjectFile *self);

### ide_project_file_get_is_directory ()

    gboolean
    ide_project_file_get_is_directory (IdeProjectFile *self);

## Types and Values

### IDE_TYPE_PROJECT_FILE

    #define IDE_TYPE_PROJECT_FILE (ide_project_file_get_type())

### struct IdeProjectFileClass

    struct IdeProjectFileClass {
      IdeProjectItemClass parent;
    };

### IdeProjectFile

    typedef struct _IdeProjectFile IdeProjectFile;